input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: $white;
    border-radius: rem(15);
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";
    stroke: #040E31;

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: rem(56);
        outline: none;
        color: #83888F;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(24);
        position: relative;
        padding: rem(17) rem(20) rem(13) rem(20);
        background: transparent;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid transparent;
        border-radius: rem(15);
        @include placeholder(#83888F);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }


        &.error {
            border-color: red !important;
        }
    }

    textarea {
        height: auto;
        resize: none;
    }

    &--icon {

        #{$input-selector} {
            padding-left: rem(48);
        }
    }

    &__icon {
        top: calc(50% - 0.75rem);
        left: rem(16);
        z-index: 1;
        font-size: 0;
        line-height: 0;
        width: rem(24);
        height: rem(24);
        position: absolute;
        display: inline-block;
    }

    &--transparent {
        stroke: rgba(255,255,225,0.5);
        background: rgba(255, 255, 255, 0.15);

        #{$input-selector} {
            color: $white;
            @include placeholder($white);
        }
    }

    @include media-breakpoint-up(xl) {

        &--xl {

            #{$input-selector} {
                height: rem(64);
                font-size: rem(20);
                padding-top: rem(21);
                padding-bottom: rem(17);
            }

            &.field--icon {
                #{$input-selector} {
                    padding-left: rem(72);
                }
            }

            .field__icon {
                top: calc(50% - 1rem);
                left: rem(24);
                height: rem(32);
            }
        }
    }
}
